package com.jeeplus.finance.projectReport.domain;

/**
 * 签署位置表
 * @author: 徐滕
 * @create: 2021-11-03 15:50
 **/
public class Location {
    private String id;
    private String documentId ; //合同文档ID
    private String rectType ;   //签章类型
    private String page ;      //签署页码，坐标指定位置时必须，0:全部页，-1:最后一页，其他:第page页
    private String keyword ;    //关键字，关键字指定位置时必须
    private Integer keywordIndex ;  //第几个关键字,0:全部,-1:最后一个,其他:第keyIndex 个,默认为1
    private String offsetX ;    //X轴坐标，坐标定位时必传，关键字定位时选传
    private String offsetY ;    //Y轴坐标，坐标定位时必传，关键字定位时选传
    private String contractId ;
    private String signatoryId ;
    private String actionId ;
    private String width ;
    private String height ;
    private String fromTemplate ;
    private String createTime ;
    private String samePositionId ;
    private String sealId ;



    public String getDocumentId() {
        return documentId;
    }

    public void setDocumentId(String documentId) {
        this.documentId = documentId;
    }

    public String getRectType() {
        return rectType;
    }

    public void setRectType(String rectType) {
        this.rectType = rectType;
    }

    public String getPage() {
        return page;
    }

    public void setPage(String page) {
        this.page = page;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public Integer getKeywordIndex() {
        return keywordIndex;
    }

    public void setKeywordIndex(Integer keywordIndex) {
        this.keywordIndex = keywordIndex;
    }

    public String getOffsetX() {
        return offsetX;
    }

    public void setOffsetX(String offsetX) {
        this.offsetX = offsetX;
    }

    public String getOffsetY() {
        return offsetY;
    }

    public void setOffsetY(String offsetY) {
        this.offsetY = offsetY;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId;
    }

    public String getSignatoryId() {
        return signatoryId;
    }

    public void setSignatoryId(String signatoryId) {
        this.signatoryId = signatoryId;
    }

    public String getActionId() {
        return actionId;
    }

    public void setActionId(String actionId) {
        this.actionId = actionId;
    }

    public String getWidth() {
        return width;
    }

    public void setWidth(String width) {
        this.width = width;
    }

    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    public String getFromTemplate() {
        return fromTemplate;
    }

    public void setFromTemplate(String fromTemplate) {
        this.fromTemplate = fromTemplate;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getSamePositionId() {
        return samePositionId;
    }

    public void setSamePositionId(String samePositionId) {
        this.samePositionId = samePositionId;
    }

    public String getSealId() {
        return sealId;
    }

    public void setSealId(String sealId) {
        this.sealId = sealId;
    }
}
